package com.jasamedika.medifirst2000.vo;

import javax.persistence.ManyToOne;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class RiwayatPenyakitPengobatan
 * 
 * @author Adik
 */
public class DetailDiagnosaTindakanPasienVO extends BaseTransactionVO {
	
	@ManyToOne
	@NotNull(message="Diagnosa Tindakan Pasien harus Diisi")
	@Caption(value="Diagnosa Tindakan Pasien")
	private DiagnosaTindakanPasienVO diagnosaTindakanPasien;
	
	@ManyToOne
	@NotNull(message="Diagnosa Tindakan")
	@Caption(value="Diagnosa Tindakan ")
	private DiagnosaTindakanVO diagnosaTindakan;

	private Integer jumlah;
	public Integer getJumlah() {
		return jumlah;
	}

	public void setJumlah(Integer jumlah) {
		this.jumlah = jumlah;
	}

	public DiagnosaTindakanPasienVO getDiagnosaTindakanPasien() {
		return diagnosaTindakanPasien;
	}

	public void setDiagnosaTindakanPasien(DiagnosaTindakanPasienVO diagnosaTindakanPasien) {
		this.diagnosaTindakanPasien = diagnosaTindakanPasien;
	}

	public DiagnosaTindakanVO getDiagnosaTindakan() {
		return diagnosaTindakan;
	}

	public void setDiagnosaTindakan(DiagnosaTindakanVO diagnosaTindakan) {
		this.diagnosaTindakan = diagnosaTindakan;
	}
	
	

}

